Retrieve All SCIM Resource Types
Retrieve the types of SCIM resources available. Each resource type defines the endpoints, the core schema URI that defines the resource, and any supported schema extensions.
GET
/api/{version}/scim/v2/ResourceTypesHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/scim+json |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://veepharm.com/api/v20.1/scim/v2/ResourceTypesResponse
Section link for Response{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 4,
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:ResourceType"
],
"id": "User",
"name": "User",
"description": "User Account",
"endpoint": "/Users",
"schema": "urn:ietf:params:scim:schemas:core:2.0:User",
"schemaExtensions": [
{
"schema": "urn:ietf:params:scim:schemas:extension:veevavault:2.0:User",
"required": true
},
{
"schema": "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User",
"required": false
}
],
"meta": {
"resourceType": "Resource Type",
"location": "https://promomats-template.vaultdev.com/api/v20.1/scim/v2/ResourceTypes/User"
}
},
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:ResourceType"
],
"id": "SecurityProfile",
"name": "SecurityProfile",
"description": "Security Profile",
"endpoint": "/SecurityProfiles",
"schema": "urn:ietf:params:scim:schemas:extension:veevavault:2.0:SecurityProfile",
"meta": {
"resourceType": "Resource Type",
"location": "https://promomats-template.vaultdev.com/api/v20.1/scim/v2/ResourceTypes/SecurityProfile"
}
}